### Method

# WebKit AuthenticationRequest set_proposed_credential

#### Declaration [src]

    void
    webkit_authentication_request_set_proposed_credential (
      WebKitAuthenticationRequest* request,
      WebKitCredential* credential
    )

#### Description [src]

Set the `WebKitCredential` of the proposed authentication challenge.

Set the `WebKitCredential` of the proposed authentication challenge that was stored from a previous session. This should only be used by applications handling their own credential storage. (When using the default WebKit credential storage, `webkit_authentication_request_get_proposed_credential()` already contains previously-stored credentials.) Passing a `NULL` `credential` will clear the proposed credential.

Available since: | 2.30

#### Parameters

`credential` | `WebKitCredential`
| A `WebKitCredential`, or `NULL`.
| The data is owned by the caller of the function.